/*
  map_item.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MAP_ITEM_H__
#define __MAP_ITEM_H__

#include <qimage.h>
#include <qobject.h>
#include <qstring.h>
#include "pos.h"

class Map;

class MapItem : public QObject
{
	Q_OBJECT;
  public:
	virtual bool drawItem(QImage &scr, const Pos &pos) = 0;
	virtual void request(QString const &/*req*/, QString const &/*arg*/){}

	static void drawImage(QImage &scr, const QImage *image, int dst_x, int dst_y);
};

#endif // __MAP_H__
